Subject: Re: tcsh Win2000: command line editing does not work
From: Brad Barber <[email-masked]>
To: Andrew Markebo <[email-masked]>
Cc: [email-masked]
Date: Fri, 16 Mar 2001 09:40:38 -0500

At 04:56 PM Thursday 3/15/2001, Andrew Markebo wrote:
>Which tcsh are you using, probably not something compiled with cygwin
>and therefore might collide with cygwin runtime or similar.. 

It is 
        tcsh 6.10.00-2
as installed with the most recent
        Cygwin setup.exe

                                                --Brad

P.S.: i was mistaken about stty.  Both bash and tcsh return the
the same.  Command line editing on bash works fine.

>        /Andy
>
>/ Brad Barber <[email-masked]> wrote:
>| [Expanded version of previous message.  No reply to the first one.]
>| 
>| I've recently installed cygwin and the cygwin version
>| of tcsh on a new Windows 2000 computer.  It is a big 
>| improvement over the older version of tcsh (the one not 
>| bundled with cygwin).
>| 
>| Everything works well except for command editing.  If I insert
>| characters, the display overwrites and occasionally shifts right.
>| The underlying data is correct (i.e., the characters are inserted
>| into the line).   Command editing works fine with the bash
>| shell.
>| 
>| For example,
>| 
>| KANE:/home/bbarber> 123456789
>| 
>| if I insert "a" between the 1 and the 2, the "3" is overwritten
>| 
>| KANE:/home/bbarber> 1a2456789
>| 1a23456789: Command not found.
>| 
>| But if I insert "a" between the 5 and the 6, I correctly get
>| 
>| KANE:/home/bbarber>  12345a6789 
>| 12345a6789: Command not found.
>| 
>| It fails to work without any .tcshrc defined.  It also fails to work
>| on a friends Win2K system.  Unfortunately, it fails to work
>| most of the time.
>| 
>| I checked stty.  It leaves "echoe" and "echoctl" while bash turns
>| these off.  "stty -echoe" does not change the flag.
>| 
>| Any ideas?
>| 
>|                                               --Brad
>| 
>| KANE:/usr/bin> stty -a
>| speed 38400 baud; rows 60; columns 80; line = 0;
>| intr = ^C; quit = ^\; erase = ^H; kill = ^U; eof = ^D; eol = <undef>;
>| eol2 = <undef>; start = ^Q; stop = ^S; susp = ^Z; rprnt = ^R; werase = ^W;
>| lnext = ^V; flush = ^O; min = 1; time = 0;
>| -parenb -parodd cs8 -hupcl -cstopb cread -clocal -crtscts
>| -ignbrk brkint -ignpar -parmrk -inpck -istrip -inlcr -igncr icrnl ixon -ixoff
>| -iuclc -ixany -imaxbel
>| opost -olcuc -ocrnl onlcr -onocr -onlret -ofill -ofdel nl0 cr0 tab0 bs0 vt0 ff0
>| isig icanon iexten echo echoe -echok -echonl -noflsh -tostop echoctl -echoke
>| 
>| 
>| KANE:/home/bbarber> bash
>| bash-2.04$ stty -a
>| speed 38400 baud; rows 62; columns 100; line = 0;
>| intr = ^C; quit = ^\; erase = ^H; kill = ^U; eof = ^D; eol = <undef>; eol2 = <undef>; start = ^Q;
>| stop = ^S; susp = ^Z; rprnt = ^R; werase = ^W; lnext = ^V; flush = ^O; min = 1; time = 0;
>| -parenb -parodd cs8 -hupcl -cstopb cread -clocal -crtscts
>| -ignbrk brkint -ignpar -parmrk -inpck -istrip -inlcr -igncr icrnl ixon -ixoff -iuclc -ixany
>| -imaxbel
>| opost -olcuc -ocrnl onlcr -onocr -onlret -ofill -ofdel nl0 cr0 tab0 bs0 vt0 ff0
>| isig icanon iexten echo echoe -echok -echonl -noflsh -tostop echoctl -echoke
>| 
>| 
>| --
>| Want to unsubscribe from this list?
>| Check out: http://cygwin.com/ml/#unsubscribe-simple 

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple